Kerbal Space Program - Bug #9679

Joystick axis are not stored in settings.cfg
05/04/2016 06:44 AM - Badsector

Status: Closed Start date: 05/04/2016
Severity: Normal % Done: 100%
Assignee:

Category: Application

Target version:

Version: 1.1.2 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Every time i start the game i have to set joystick axis,that have start to happen after 1.1.2 release.
| have download the full game from the store and i have do a new install

History

#1 - 05/07/2016 09:59 PM - sal_vager

- Severity changed from High to Normal

Not reproducible here on Xubuntu 26.04 64bit, also with a GreenAsia joystick.

| see your install path is very strange, please try putting KSP in another folder in case your Blender folder is write protected.
Edit:

Oh joy now it's not persisting for me :/

#2 - 05/08/2016 05:45 PM - Badsector

| have 2 different install of Kerbal space program 1.1.2 and in none of them joystick axis are read correctly, i can only assume the problem is related
at the "." in "GreenAsia Inc." due that my locale is "it" and i have to start ksp with "LC_ALL=C" otherwise i get more severe issues.
The problem have started to happens with KSP 1.1.2 and is not related to my hardware or "strange" path.

#3 - 05/08/2016 06:18 PM - Badsector
- File settings.cfg added
- File 4.jpg added

| have try with a different joystick without "." in the name and axis are read correctly (unfortunately i can't use it because it is broken)

#4 - 05/10/2016 09:44 AM - Badsector

- File settings.cfg added

By editing settings.cfg and changing axis joystick name to 1.1.0 values i can run ksp without always reset axis
Edit

Not working i had AFBW installed

#5 - 05/10/2016 09:56 AM - sal_vager

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Oh great now I'm getting this when | enter settings after loading KSP, but only with specific controllers.

This issue does not occur with my Logitech wingman or dual action gamepad.

Nor does this occur with my Saitek ST90
This does occur with my CH flight yoke, and a greenasia inc generic joystick.

There does not appear to be any similarity between the two controllers and they all appear in the settings.cfg, so this may be an issue with file

loading.

More info here http:/forum.kerbalspaceprogram.com/index.php?/topic/139014-ksp-112-linux-joystick-axis-are-not-loaded/#comment-2572918

#6 - 07/10/2016 04:43 PM - Badsector
Fixed in 1.1.3, Thanks @Squad

#7 - 07/17/2016 11:21 AM - TriggerAu
- Status changed from Confirmed to Closed

- % Done changed from 10 to 100
